## org.cybergarage.http
Class HTTPServerList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector
                  org.cybergarage.http.HTTPServerList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class HTTPServerList

extends Vector

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`HTTPServerList()`

Method Summary
`void` `addRequestListener(HTTPRequestListener listener)`
`void` `close()`
`HTTPServer` `getHTTPServer(int n)`
`boolean` `open(int port)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### HTTPServerList

    public HTTPServerList()

Method Detail

### addRequestListener

    public void addRequestListener(HTTPRequestListener listener)

### getHTTPServer

    public HTTPServer getHTTPServer(int n)

### close

    public void close()

### open

    public boolean open(int port)

### start

    public void start()

### stop

    public void stop()